import request from '@/utils/request'

// 查询【消耗单明细主表】列表
export function listDoc(query) {
  return request({
    url: '/pu/doc/list',
    method: 'get',
    params: query
  })
}

// 查询【消耗单明细主表】详细
export function getDoc(id) {
  return request({
    url: '/pu/doc/' + id,
    method: 'get'
  })
}

// 新增【消耗单明细主表】
export function addDoc(data) {
  return request({
    url: '/pu/doc',
    method: 'post',
    data: data
  })
}

// 修改【消耗单明细主表】
export function updateDoc(data) {
  return request({
    url: '/pu/doc',
    method: 'put',
    data: data
  })
}

// 删除【消耗单明细主表】
export function delDoc(id) {
  return request({
    url: '/pu/doc/' + id,
    method: 'delete'
  })
}
